Package org.flowable.job.api

# Interface JobInfo

All Known Subinterfaces:
  `AcquiredExternalWorkerJob`, `ExternalWorkerJob`, `HistoryJob`, `Job`

public interface JobInfo
Interface for a job that can be directly executed (e.g an async job or a history job).

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `MAX_EXCEPTION_MESSAGE_LENGTH`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCustomValues()`
  Get the custom values.
  `String`
  `getExceptionMessage()`
  Returns the message of the exception that occurred, the last time the job was executed.
  `String`
  `getId()`
  Returns the unique identifier for this job.
  `String`
  `getJobHandlerConfiguration()`
  Get the job handler configuration.
  `String`
  `getJobHandlerType()`
  Get the job handler type.
  `int`
  `getRetries()`
  Returns the number of retries this job has left.
  `String`
  `getTenantId()`
  Get the tenant identifier for this job.

- ## Field Details

  - ### MAX_EXCEPTION_MESSAGE_LENGTH

    static final int MAX_EXCEPTION_MESSAGE_LENGTH
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getId

    String getId()
    Returns the unique identifier for this job.

  - ### getRetries

    int getRetries()
    Returns the number of retries this job has left. Whenever the jobexecutor fails to execute the job, this value is decremented. When it hits zero, the job is supposed to be dead and not retried again (ie a manual retry is required then).

  - ### getExceptionMessage

    String getExceptionMessage()
    Returns the message of the exception that occurred, the last time the job was executed. Returns null when no exception occurred. To get the full exception stacktrace, use ManagementService#getJobExceptionStacktrace(String)

  - ### getTenantId

    String getTenantId()
    Get the tenant identifier for this job.

  - ### getJobHandlerType

    String getJobHandlerType()
    Get the job handler type.

  - ### getJobHandlerConfiguration

    String getJobHandlerConfiguration()
    Get the job handler configuration.

  - ### getCustomValues

    String getCustomValues()
    Get the custom values.